## org.apache.mahout.math.hadoop
Class MatrixMultiplicationJob.MatrixMultiplicationReducer

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.MatrixMultiplicationJob.MatrixMultiplicationReducer

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Enclosing class:
  MatrixMultiplicationJob

    public static class MatrixMultiplicationJob.MatrixMultiplicationReducer

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Constructor Summary
`MatrixMultiplicationJob.MatrixMultiplicationReducer()`

Method Summary
`void` `reduce(org.apache.hadoop.io.IntWritable rowNum, java.util.Iterator<VectorWritable> it, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,VectorWritable> out, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close, configure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### MatrixMultiplicationJob.MatrixMultiplicationReducer

    public MatrixMultiplicationJob.MatrixMultiplicationReducer()

Method Detail

### reduce

    public void reduce(org.apache.hadoop.io.IntWritable rowNum,
                       java.util.Iterator<VectorWritable> it,
                       org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,VectorWritable> out,
                       org.apache.hadoop.mapred.Reporter reporter)
                throws java.io.IOException

  Specified by:
    `reduce` in interface `org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.